Subject: bug#18779: closed (Re: 24.4; Compilation error on Mac OS X Yosemite)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 05 Feb 2015 15:51:02 +0000

Your bug report

#18779: 24.4; Compilation error on Mac OS X Yosemite

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18779: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18779
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: 24.4; Compilation error on Mac OS X Yosemite
From: "Jan D." <[email-masked]>
To: Constantine Vetoshev <[email-masked]>
Cc: [email-masked]
Date: Thu, 05 Feb 2015 16:49:57 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Constantine Vetoshev skrev den 2015-02-05 16:40:
> On Thu, Feb 5, 2015 at 7:15 AM, Jan D. <[email-masked]> wrote:
>> If you don't have anything in /usr/include you havent installed the command
>> line tools, which Emacs kind of assumes you have, i.e.
>>
>> xcode-select --install
>>
>> Can you confirm this?
>
> You are probably right. I upgraded to XCode 6.1.1 since I filed this
> bug report, and either I or it must have done something different:
> /usr/include is there and has the header file I was missing before.
> It's probably safe to close this ticket; I'll open another one if I
> run into trouble with 24.5 prereleases. Thanks!
>

Ok, closing.

	Jan D.

Subject: 24.4; Compilation error on Mac OS X Yosemite
From: Constantine Vetoshev <[email-masked]>
To: [email-masked]
Date: Mon, 20 Oct 2014 14:21:29 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I think something changed between 10.9 (Mavericks) and 10.10
(Yosemite) with include file locations.

After running "./configure --with-ns && make install", the build proceeds until:

gcc -c  -Demacs  -I. -I. -I../lib -I./../lib
-I/usr/include/libxml2          -MMD -MF deps/xml.d -MP   -Wno-switch
-Wno-tautological-constant-out-of-range-compare -Wno-pointer-sign  -g3
-O2  xml.c
xml.c:23:10: fatal error: 'libxml/tree.h' file not found
#include <libxml/tree.h>
         ^
1 error generated.
make[1]: *** [xml.o] Error 1
make: *** [src] Error 2

With the latest Xcode 6.1, symlinking
/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include
to /usr/include makes the compilation error go away. The compiled
binary seems to work.